---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp01t003.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x28B0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x52EA0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x38D0, symSize: 0x270 }
  - { offsetInCU: 0xB10, offset: 0xB10, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53260, symBinAddr: 0xC360, symSize: 0x0 }
  - { offsetInCU: 0xB37, offset: 0xB37, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x551A0, symBinAddr: 0xE2A0, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55590, symBinAddr: 0xE690, symSize: 0x0 }
  - { offsetInCU: 0xB7B, offset: 0xB7B, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56530, symBinAddr: 0xF630, symSize: 0x0 }
  - { offsetInCU: 0xB90, offset: 0xB90, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56540, symBinAddr: 0xF640, symSize: 0x0 }
  - { offsetInCU: 0xC0B, offset: 0xC0B, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52E90, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC16, offset: 0xC16, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52E94, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC21, offset: 0xC21, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52E98, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC66, offset: 0xC66, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52FF0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x530A8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xCFD, offset: 0xCFD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x530AC, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0xD16, offset: 0xD16, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x530B0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0xD2F, offset: 0xD2F, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x530B4, symBinAddr: 0xC2A4, symSize: 0x0 }
  - { offsetInCU: 0xD48, offset: 0xD48, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x530B8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x9337, offset: 0x9337, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x530C0, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x530D0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x93D9, offset: 0x93D9, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x530D8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x93F2, offset: 0x93F2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x530E0, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x530E8, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9424, offset: 0x9424, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x530F0, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x943E, offset: 0x943E, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x530F8, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x9525, offset: 0x9525, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x5313C, symBinAddr: 0xC2FC, symSize: 0x0 }
  - { offsetInCU: 0x953F, offset: 0x953F, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x53140, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9558, offset: 0x9558, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x53148, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9571, offset: 0x9571, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x53150, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x958A, offset: 0x958A, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x53190, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x95A3, offset: 0x95A3, size: 0x8, addend: 0x0, symName: __ZL11threadsList, symObjAddr: 0x531A0, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x95C8, offset: 0x95C8, size: 0x8, addend: 0x0, symName: __ZL11threadsName, symObjAddr: 0xF020, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x9605, offset: 0x9605, size: 0x8, addend: 0x0, symName: __ZL12threadsState, symObjAddr: 0xF130, symBinAddr: 0x7D30, symSize: 0x0 }
  - { offsetInCU: 0x968D, offset: 0x968D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2250, symSize: 0x80 }
  - { offsetInCU: 0x9722, offset: 0x9722, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x21A0, symSize: 0xB0 }
  - { offsetInCU: 0x977D, offset: 0x977D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x20A0, symSize: 0x100 }
  - { offsetInCU: 0x9A10, offset: 0x9A10, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x22D0, symSize: 0xC0 }
  - { offsetInCU: 0x9A62, offset: 0x9A62, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2390, symSize: 0x220 }
  - { offsetInCU: 0x9C47, offset: 0x9C47, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x25B0, symSize: 0xA0 }
  - { offsetInCU: 0x9CFA, offset: 0x9CFA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2650, symSize: 0x110 }
  - { offsetInCU: 0x9DF0, offset: 0x9DF0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2760, symSize: 0x150 }
  - { offsetInCU: 0x9F4D, offset: 0x9F4D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2BD0, symSize: 0x30 }
  - { offsetInCU: 0xA07A, offset: 0xA07A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2C00, symSize: 0x150 }
  - { offsetInCU: 0xA272, offset: 0xA272, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2D50, symSize: 0x160 }
  - { offsetInCU: 0xA532, offset: 0xA532, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2EB0, symSize: 0x4A0 }
  - { offsetInCU: 0xA7A5, offset: 0xA7A5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3350, symSize: 0x1B0 }
  - { offsetInCU: 0xA9C0, offset: 0xA9C0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3500, symSize: 0xA0 }
  - { offsetInCU: 0xAA8F, offset: 0xAA8F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x35A0, symSize: 0x20 }
  - { offsetInCU: 0xAAC6, offset: 0xAAC6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x35C0, symSize: 0x20 }
  - { offsetInCU: 0xAAFD, offset: 0xAAFD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x35E0, symSize: 0x20 }
  - { offsetInCU: 0xAC6C, offset: 0xAC6C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3600, symSize: 0x1A0 }
  - { offsetInCU: 0xAF88, offset: 0xAF88, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x37A0, symSize: 0x130 }
  - { offsetInCU: 0xB138, offset: 0xB138, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3B40, symSize: 0x1B0 }
  - { offsetInCU: 0xB427, offset: 0xB427, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3CF0, symSize: 0x80 }
  - { offsetInCU: 0xB4F0, offset: 0xB4F0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3D70, symSize: 0x6A0 }
  - { offsetInCU: 0xC085, offset: 0xC085, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA7C0, symBinAddr: 0x56C0, symSize: 0xB0 }
  - { offsetInCU: 0xC0FC, offset: 0xC0FC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4410, symSize: 0x70 }
  - { offsetInCU: 0xC1B8, offset: 0xC1B8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4480, symSize: 0xA0 }
  - { offsetInCU: 0xC297, offset: 0xC297, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4520, symSize: 0x40 }
  - { offsetInCU: 0xC38D, offset: 0xC38D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4560, symSize: 0x2B0 }
  - { offsetInCU: 0xC733, offset: 0xC733, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4810, symSize: 0xC0 }
  - { offsetInCU: 0xC879, offset: 0xC879, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x48D0, symSize: 0x10 }
  - { offsetInCU: 0xC93B, offset: 0xC93B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x48E0, symSize: 0x220 }
  - { offsetInCU: 0xCC38, offset: 0xCC38, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4B00, symSize: 0x10 }
  - { offsetInCU: 0xCC95, offset: 0xCC95, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4B10, symSize: 0x1F0 }
  - { offsetInCU: 0xCEF6, offset: 0xCEF6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x4D00, symSize: 0x10 }
  - { offsetInCU: 0xCF53, offset: 0xCF53, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP01_sp01t003ThreadRunningNative_nativeMethod, symObjAddr: 0x9E10, symBinAddr: 0x4D10, symSize: 0x60 }
  - { offsetInCU: 0xCFC3, offset: 0xCFC3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP01_sp01t003ThreadRunningNative_checkReady, symObjAddr: 0x9E70, symBinAddr: 0x4D70, symSize: 0x40 }
  - { offsetInCU: 0xD04F, offset: 0xD04F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP01_sp01t003ThreadRunningNative_letFinish, symObjAddr: 0x9EB0, symBinAddr: 0x4DB0, symSize: 0x10 }
  - { offsetInCU: 0xD0F8, offset: 0xD0F8, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EC0, symBinAddr: 0x4DC0, symSize: 0x900 }
  - { offsetInCU: 0xD9BF, offset: 0xD9BF, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKcl, symObjAddr: 0xABE0, symBinAddr: 0x5AE0, symSize: 0x3A0 }
  - { offsetInCU: 0xDD77, offset: 0xDD77, size: 0x8, addend: 0x0, symName: __ZL18suspendThreadsListi, symObjAddr: 0xAF80, symBinAddr: 0x5E80, symSize: 0x30E }
  - { offsetInCU: 0xE017, offset: 0xE017, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA870, symBinAddr: 0x5770, symSize: 0x370 }
...
